.day-group-header {
    display: flex;
    align-items: center;
    gap: 8px;
    background: #f8fafc;
    padding: 6px 12px;
    border-radius: 6px;
    border: 1px solid #e2e8f0;
}

.day-number {
    background: #3b82f6;
    color: white;
    padding: 2px 8px;
    border-radius: 9999px;
    font-size: 12px;
    font-weight: 600;
}

.day-date {
    color: #1e293b;
    font-weight: 500;
}

/* Estilos para el título h4 de los grupos */
.fi-ta-group-header h4 {
    color: #1e40af !important; /* Color azul oscuro */
    font-size: 1rem !important;
    font-weight: 600 !important;
    display: flex !important;
    align-items: center !important;
    gap: 0.5rem !important;
}

/* Estilo para el texto "Día:" */
.fi-ta-group-header h4 > :first-child {
    font-weight: 400 !important;
    color: #6b7280 !important;
}

/* Estilo para la fecha */
.fi-ta-group-header h4 > :last-child {
    color: #1e40af !important;
    font-weight: 600 !important;
}

select {
    -webkit-appearance: none;  /* Safari/iOS */
    -moz-appearance: none;     /* Firefox */
    appearance: none;          /* Estándar */
    background-color: white;   /* Fondo personalizado */
    border: 1px solid #d1d5db; /* Ejemplo: border-gray-300 de Tailwind */
    border-radius: 0.375rem;   /* Ejemplo: rounded-md de Tailwind */
    padding: 0.5rem 2.5rem 0.5rem 0.75rem; /* Ajuste de padding */
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 24 24' stroke='%236b7280'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M19 9l-7 7-7-7'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 0.5rem center; /* Posición del ícono */
    background-size: 1.5rem;
  }

  /*choices-js*/
.choices__inner {
    /*white-space: nowrap !important;*/
    white-space: normal !important;
    overflow: visible !important;
    text-overflow: clip !important;
    word-wrap: break-word !important;
    min-height: auto !important;
    hyphens: none !important;
    padding: 0 0 0 5px !important;

}



.choices__list--dropdown .choices__item {
    white-space: normal !important;
    overflow: visible !important;
    text-overflow: clip !important;
    word-wrap: break-word !important;
    min-height: auto !important;
    hyphens: none !important;
    padding: 0 0 0 5px !important;
}
/*.choices__list--dropdown .choices__item--selectable{
   /* white-space: normal !important;    */  /* Permite saltos de línea */
    /*word-break: break-word !important; */  /* Rompe palabras muy largas si es necesario */
   /* overflow: visible !important;     **/   /* Evita el corte del texto */
    /*text-overflow: clip !important;   */   /* Elimina los puntos suspensivos (...) */
   /* hyphens: none !important;      */      /* No uses guiones automáticos */
    /*padding: 4px 12px 4px 5px !important;*/
    /*min-height: auto !important;
}*/

/* Estilos comunes */
.choices__list--dropdown .choices__item--selectable {
    white-space: normal !important;
    word-break: break-word !important;
    overflow: visible !important;
    text-overflow: clip !important;
    hyphens: none !important;
    padding: 4px 12px 4px 5px !important;
    min-height: auto !important;
    border-bottom: 1px solid  rgb(177, 176, 176) !important;
    /*border-top: 1px solid rgb(223, 223, 223) !important;*/
}

/* Estilos específicos para impares */
.choices__list--dropdown .choices__item--selectable:nth-child(odd) {
    background-color: #f3f2e6 !important;
}

/* Estilos específicos para pares */
.choices__list--dropdown .choices__item--selectable:nth-child(even) {
    background-color: #e7f1e0 !important;
}
.choices__list--dropdown .choices__item--selectable:nth-last-child() {
    border-bottom: none !important;
}


/** Event show css */

/* Estilos generales */
.program-container {
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    position: relative;
    border-left: 2px solid #14b8a6;
}

.dark .program-container {
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    position: relative;
    border-left: 2px solid #0ea5e9;
}

/* Contenedor del video y detalles */
.session-header {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin-top: 20px;
    margin-bottom: 20px;
    align-items: flex-start;
}

/* Video container en 16:9 más pequeño */
.video-container-edit {
    flex: 0 0 200px;
    border-bottom-right-radius: 8px;
    overflow: hidden;
    box-shadow: 0 4px 12px rgba(0,0,0,0.15);
    aspect-ratio: 16/9;
    max-height: 100px;
}
.video-container {
    flex: 0 0 400px;
    border-bottom-right-radius: 8px;
    overflow: hidden;
    box-shadow: 0 4px 12px rgba(0,0,0,0.15);
    aspect-ratio: 16/9;
    max-height: 200px;
}

.video-container iframe, .video-container-edit iframe{
    width: 100%;
    height: 100%;
    display: block;
    border: none;
}

.video-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Info container */
.event-title-details {
    flex: 1;
    min-width: 300px;
    /*background: #f8fafc;*/
    padding: 15px 20px;
    border-radius: 8px;
    margin-top: 10px;
    /*border-left: 4px solid #4299e1;*/ /* Borde azul izquierdo */

}

.event-title-details h2 {
    font-size: 1.3rem;
    color: #2d3748;
    margin: 0 0 12px 0;
}

.meta-container {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
}

.meta-item {
    display: flex;
    align-items: center;
    gap: 8px;
    background: white;
    padding: 6px 10px;
    border-radius: 6px;
    /*box-shadow: 0 1px 3px rgba(0,0,0,0.1);*/
    font-size: 0.9rem;
}


.schedules-videos-container {

    margin-left: 20px;
    width: 100%;
height: 100%;
        display: flex;
    gap: 15px;
}
/* Lista de actividades */
.schedule-list {
    margin-top: 20px;
}

/* Hora a la izquierda en desktop */
.schedule-item {
    display: flex;
    gap: 15px;
    padding-bottom: 10px;
}
.schedule-item2 {
    display: flex;
    gap: 15px;
    padding-bottom: 10px;
}

@font-face {
    font-family: 'DS-Digital';
    src: url('fonts/DS-DIGBI.TTF') format('truetype');
    font-style: normal;
    font-weight: normal;
}
@font-face {
    font-family: 'DS-Digital';
    src: url('fonts/DS-DIGIB.TTF') format('truetype');
    font-style: bold;
    font-weight: bold;
}
@font-face {
    font-family: 'Digital Numbers Regular';
    src: url('fonts/DigitalNumbers-Regular.ttf') format('truetype');
    font-style: normal;
    font-weight: normal;
}
.time-slot {
    margin-left: 9px;
    font-size:24px;
    font-weight: bold;
    color:#14b8a6;
    text-align: left;
    padding-top: 3px;
    width: 90px;
    font-family: 'DS-Digital';
}
.dark .time-slot {
    color:#bae6fd;
}

.event-details {
    flex: 1;
    background: #f0fdfa;
    border-radius: 8px;
    padding: 6px 15px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.1);
    border-left: 5px solid #14b8a6;
    border-bottom: 1px solid #14b8a6;/* Borde azul izquierdo para actividades */
    position: relative;
}
.dark .event-details {
    background: #bae6fd;
    border-left: 5px solid #0ea5e9;
    border-bottom: 1px solid #0ea5e9;/* Borde azul izquierdo para actividades */
}
.event-details2 {
    flex: 1;
    background: #f0fdfa;
    border-radius: 8px;
    padding: 4px 15px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.1);
    border-left: 5px solid #FFA308;
    border-bottom: 1px solid #FFA308;/* Borde azul izquierdo para actividades */
    position: relative;

}
.dark .event-details2 {
    background: #bae6fd;
    border-left: 5px solid #FFA308;
    border-bottom: 1px solid #FFA308;
}
.event-details2 p{
    font-style: normal !important;
    font-weight: 400;
    font-size: 17px;
    /*text-transform:uppercase !important;*/
}

/* schedule-videos */
    .schedule-videos-container {
        width: 100%;
        border-radius: 6px;
        overflow: hidden;
        box-shadow: 0 4px 12px rgba(0,0,0,0.15);
        aspect-ratio: 16/9;
        max-height: 100px;
        position: relative;
        background-color: #000;
    }

    .video-card {
        @apply transition-shadow duration-200 bg-green-100 border border-green-300 rounded-lg shadow-sm hover:shadow-md;
    }

    @media (max-width: 640px) {
        .schedule-videos-container {
            max-height: 80px;
        }
    }
.event-details3 {
    flex: 1;
    margin-top: 10px;
    /*background: #adeec5;*/
    border-top-left-radius: 0;
    border-top-right-radius: 8px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 8px;
    padding: 0 15px 4px 0;
    /*box-shadow: 0 2px 6px rgba(0,0,0,0.1);*/
    /*border-left: 3px ridge  #14b8a6;*/
    border-top: 1px ridge  #14b8a6;
    border-right:1px ridge  #14b8a6;
    border-bottom: 1px ridge  #14b8a6;/* Borde azul izquierdo para actividades */
    position: relative;

}

.dark .event-details3 {
    flex: 1;
    margin-top: 10px;
    /*background: #adeec5;*/
    border-top-left-radius: 0;
    border-top-right-radius: 8px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 8px;
    padding: 0 15px 4px 0;
    /*box-shadow: 0 2px 6px rgba(0,0,0,0.1);*/
    /*border-left: 3px ridge  #0ea5e9;*/
    border-top: 1px ridge  #0ea5e9;
    border-right:1px ridge  #0ea5e9;
    border-bottom: 1px ridge  #0ea5e9;/* Borde azul izquierdo para actividades */
    position: relative;

}

/* Estilo especial para el speaker */
.speaker {
    font-size: 0.9rem;
    /*color: #4a5568;*/
    margin: 5px 0 0 0;
    font-style: italic;
    position: relative;
    padding-left: 0px;
}

.time-slot::before {
    content: "-";
    position: absolute;
    left: 0;
    color: #14b8a6;
}

.dark .time-slot::before {
    color: #0ea5e9;
}

.talk-title {
    font-size: 1.05rem;
    color: #2d3748;
    margin: 0 0 4px 0;
}


/* Responsive */
@media (max-width: 768px) {
    .session-header {
        flex-direction: column;
        gap: 15px;
    }

    .event-details{
        border-left: none;
    }
    .event-details2{
        border-left: none;
    }
    .video-container {
        flex: 0 0 auto;
        width: 100%;
        max-width: 500px;
        margin: 0 auto;
    }

    .event-title-details {
        margin-top: 0;
        width: 100%;
    }

    .event-title-details2 {
        margin-top: 0;
        width: 100%;
    }
    .schedule-item {
        flex-direction: column;
        gap: 5px;
    }

    .schedule-item2 {
        flex-direction: column;
        gap: 5px;
    }

    .time-slot {
        text-align: left;
        flex: 0 0 auto;
        /*padding-bottom: 5px;
        margin-bottom: 5px;*/
        margin-left: 10px;
    }
    .time-slot::before {
        content:none;
    }
    .event-details {
        border-left-width: 2px;
    }
    .event-details2 {
        border-left-width: 2px;
    }
}

/* Estilos para los bloques de día */
.dia-bloque {
    margin-bottom: 40px;
    border: 1px solid #e2e8f0;
    border-radius: 8px;
    overflow: hidden;
}

.dia-bloque > div:first-child {
    background: #38a169;
    padding: 10px 20px;
}

.dia-bloque > div:first-child h2 {
    color: white;
    margin: 0;
    font-size: 1.4rem;
}



@keyframes fadeInScale {
from {
  opacity: 0;
  transform: translateY(-10px) scale(0.95);
}
to {
  opacity: 1;
  transform: translateY(0) scale(1);
}
}

[x-cloak] {
display: none !important;
}

.no-select {
user-select: none; /* Evita selección */
-webkit-user-select: none; /* Safari */
-moz-user-select: none; /* Firefox */
-ms-user-select: none; /* IE/Edge */
pointer-events: none; /* Evita interacción */
}


.select2 {
    width: 100%;
    text-overflow: ellipsis;
}
.select2:focus {
    outline: none;
}
.select2 option {
    white-space: normal;
    word-wrap: break-word;
    max-width: 100%;
    white-space: pre-wrap;
  }

    /* Contenedor principal */
    div.select2container {
        width: 100%;
        max-width: 100%;
        position: relative;
      }

      /* Estilos para el elemento select */
      .select2 {
        width: 100%;
        max-width: 100%;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }

      /* Estilos para las opciones */
      .select2 option {
        white-space: normal;
        word-wrap: break-word;
        max-width: 100%;
      }

      /* Solución específica para Firefox */
      @-moz-document url-prefix() {
        .select2 option {
          white-space: pre-wrap;
        }
      }

    .sticky-header {
        position: sticky;
        top: 0;  /* Se pegará en la parte superior */
        z-index: 10;  /* Para que quede por encima del contenido */
        transition: all 0.3s ease;
    }


    .dia-container {
        height: 100%;  /* Asegura que el contenedor tenga altura definida */
        overflow-y: auto;  /* Permite scroll interno */
    }

    .sticky-header {
        position: sticky;
        top: 0;  /* Se pega en la parte superior del contenedor padre (.dia-container) */
        z-index: 10;
        transition: all 0.3s ease;
    }

    .sticky-header.is-sticky {
        box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
        background-color: #047857; /* bg-green-700 */
    }

    .sticky {
        position: -webkit-sticky;
        position: sticky;
        transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1);
      }


      /**
 * ==============================================
 * Dot Pulse
 * ==============================================
 */
.dot-pulse {
    position: relative;
    left: -9999px;
    width: 5px;
    height: 5px;
    border-radius: 5px;
    background-color: #8927da;
    color: #8927da;
    box-shadow: 9999px 0 0 -5px;
    animation: dot-pulse 1.5s infinite linear;
    animation-delay: 0.25s;
  }
  .dot-pulse::before, .dot-pulse::after {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
    width: 5px;
    height: 5px;
    border-radius: 5px;
    background-color: #8927da;
    color: #8927da;
  }
  .dot-pulse::before {
    box-shadow: 9984px 0 0 -5px;
    animation: dot-pulse-before 1.5s infinite linear;
    animation-delay: 0s;
  }
  .dot-pulse::after {
    box-shadow: 10014px 0 0 -5px;
    animation: dot-pulse-after 1.5s infinite linear;
    animation-delay: 0.5s;
  }

  @keyframes dot-pulse-before {
    0% {
      box-shadow: 9984px 0 0 -5px;
    }
    30% {
      box-shadow: 9984px 0 0 2px;
    }
    60%, 100% {
      box-shadow: 9984px 0 0 -5px;
    }
  }
  @keyframes dot-pulse {
    0% {
      box-shadow: 9999px 0 0 -5px;
    }
    30% {
      box-shadow: 9999px 0 0 2px;
    }
    60%, 100% {
      box-shadow: 9999px 0 0 -5px;
    }
  }
  @keyframes dot-pulse-after {
    0% {
      box-shadow: 10014px 0 0 -5px;
    }
    30% {
      box-shadow: 10014px 0 0 2px;
    }
    60%, 100% {
      box-shadow: 10014px 0 0 -5px;
    }
  }

  /**
 * ==============================================
 * Dot Flashing
 * ==============================================
 */
.dot-flashing {
    position: relative;
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background-color: #68397a;
    color: #68397a;
    animation: dot-flashing 1s infinite linear alternate;
    animation-delay: 0.5s;
  }
  .dot-flashing::before, .dot-flashing::after {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
  }
  .dot-flashing::before {
    left: -12px;
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background-color: #68397a;
    color: #68397a;
    animation: dot-flashing 1s infinite alternate;
    animation-delay: 0s;
  }
  .dot-flashing::after {
    left: 12px;
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background-color: #68397a;
    color: #68397a;
    animation: dot-flashing 1s infinite alternate;
    animation-delay: 1s;
  }

  @keyframes dot-flashing {
    0% {
      background-color: #68397a;
    }
    50%, 100% {
      background-color: #8a783f33;
    }
  }

/**
 * ==============================================
 * Dot Typing
 * ==============================================
 */
 .dot-typing {
    position: relative;
    left: -9999px;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: #68397a;
    color: #68397a;
    box-shadow: 9984px 0 0 0 #68397a, 9999px 0 0 0 #68397a, 10014px 0 0 0 #68397a;
    animation: dot-typing 1.5s infinite linear;
  }

  @keyframes dot-typing {
    0% {
      box-shadow: 9984px 0 0 0 #68397a, 9999px 0 0 0 #68397a, 10014px 0 0 0 #68397a;
    }
    16.667% {
      box-shadow: 9984px -7px 0 0 #68397a, 9999px 0 0 0 #68397a, 10014px 0 0 0 #68397a;
    }
    33.333% {
      box-shadow: 9984px 0 0 0 #68397a, 9999px 0 0 0 #68397a, 10014px 0 0 0 #68397a;
    }
    50% {
      box-shadow: 9984px 0 0 0 #68397a, 9999px -7px 0 0 #68397a, 10014px 0 0 0 #68397a;
    }
    66.667% {
      box-shadow: 9984px 0 0 0 #68397a, 9999px 0 0 0 #68397a, 10014px 0 0 0 #68397a;
    }
    83.333% {
      box-shadow: 9984px 0 0 0 #68397a, 9999px 0 0 0 #68397a, 10014px -7px 0 0 #68397a;
    }
    100% {
      box-shadow: 9984px 0 0 0 #68397a, 9999px 0 0 0 #68397a, 10014px 0 0 0 #68397a;
    }
  }


    @media (max-width: 768px) {
        div[style*="max-width: 500px"] {
            max-width: 100%;
            margin: 0 10px;
        }

        input.form-input {
            min-width: 150px !important;
            font-size: 0.9rem !important;
            padding: 6px 40px 6px 6px !important;
        }
        .three-dots-loader div {
            width: 5px;
            height: 5px;
        }
        span[wire\\:loading\\.delay],
        span[wire\\:loading\\.remove] {
            right: 35px !important;
        }

        span[style*="right: 12px"] {
            right: 8px !important;
        }
    }

    @media (max-width: 480px) {
        div[style*="border-radius: 25px"] {
            border-radius: 20px !important;
            padding: 1px 8px !important;
        }

        input.form-input {
            padding: 5px 35px 5px 5px !important;
            font-size: 0.85rem !important;
        }

        .three-dots-loader div {
            width: 4px;
            height: 4px;
        }

        .three-dots-loader {
            gap: 3px;
        }
    }
